% SNR_vs_N_for_fixed_Pd_and_Pfa
%
% Demonstration calling program for the "Detection Calculator" routines
%
% Computes SNR required to achieve a given Pd and Pfa as a fucntion of N
% for various Swerling models.
%
% Mark A. Richards
% July 2014

close all
clear all

Pfa = 1e-6;
Pd = 0.9;
N = [1:10,12:2:20,25:5:50,60:10:100];

pfa = Pfa*ones(size(N));
pd = Pd*ones(size(N));



snr_sw2 = SNRdB(pd,pfa,N,2);

plot(N,snr_sw2,'b'); hold on

snr_sw1 = SNRdB(pd,pfa,N,1);

plot(N,snr_sw1,'r');

snr_sw0 = SNRdB(pd,pfa,N,0);

snr_1pulse = SNRdB(pd,pfa,1,0);

plot(N,snr_sw0,'g');
xlabel('N'); ylabel('SNR (dB)')
hline(snr_1pulse,'k')
grid; shg
hold off

title(['Pd=',num2str(Pd),', Pfa=',num2str(Pfa)])
legend('SW2','SW1','SW0')

%%%%%%%%%%

% Repeat for SW0, SW3, SW4
snr_sw4 = SNRdB(pd,pfa,N,4);

figure
plot(N,snr_sw4,'b'); hold on

snr_sw3 = SNRdB(pd,pfa,N,3);

plot(N,snr_sw3,'r');

plot(N,snr_sw0,'g');
xlabel('N'); ylabel('SNR (dB)')
hline(snr_1pulse,'k')
grid; shg
hold off

title(['Pd=',num2str(Pd),', Pfa=',num2str(Pfa)])
legend('SW4','SW3','SW0')